Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrScale Class Reference

A PangoAttrScale C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrScale:

List of all members.

## Public Member Functions

Constructors

- AttrScale (double scale_factor)
    Construct a new font size scale attribute.

## Detailed Description

A PangoAttrScale C++ wrapper class.

AttrScale wraps the font size scale factor attribute (ATTR_SCALE).

## Constructor & Destructor Documentation

Inti::Pango::AttrScale::AttrScale | ( | double | scale_factor | ) | `[explicit]`

  | Construct a new font size scale attribute. Parameters:
  scale_factor | The factor to scale the font by.
The base font for the affected text will have its size multiplied by scale_factor.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer